Bug 1271543 - susbcription-manager list installed strange versions when auto-attach is used
Summary: susbcription-manager list installed strange versions when auto-attach is used
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2015-10-14 09:17 UTC by Peter Vreman
Modified: 2017-05-02 14:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-02 14:26:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Vreman 2015-10-14 09:17:19 UTC
Description of problem:
Auto-attached subscriptions have strange versions. My system is attached to 6.6-EUS channels. But some product listed by subscription-manager are refering to RHEL6.3

It is even more strange as the Satellite does have RHEL6.5+ repositories only and nothing of RHEL6.3 configured.

$ cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.6 (Santiago)

$ sudo subscription-manager release
Release: 6.6

$ sudo subscription-manager auto-attach
Auto-attach preference: enabled

$ sudo subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Software Collections (for RHEL Server)
Product ID:     201
Version:        1.1
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/01/2015
Ends:           01/01/2017

Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        6.6
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/01/2015
Ends:           01/01/2017

Product Name:   Oracle Java (for RHEL Server) - Extended Update Support
Product ID:     246
Version:        6.5
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/01/2015
Ends:           01/01/2017

Product Name:   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
Product ID:     86
Version:        6.3
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/01/2015
Ends:           01/01/2017

Product Name:   Red Hat Enterprise Linux Server - Extended Update Support
Product ID:     70
Version:        6.3
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/01/2015
Ends:           01/01/2017


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create ContentView with a couple of RHEL6.6 EUS repositories and Oracle Java and RHSCL
2. Create ActivationKey with auto-attach on and release_vesion set to 6.6
3. Subscribe a host to the Activation Key
4. On the host list the products, see commands abocve

Actual results:
Strange version numbers reported

Expected results:
Versions are 6.6

Additional info:

Comment 1 Bryan Kearney 2016-07-26 19:10:59 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 2 Peter Vreman 2017-05-02 14:26:25 UTC
This is not a Satellite issue. The product certificates on came from the Portal.


Note You need to log in before you can comment on or make changes to this bug.